%     Copyright (C) 2023 Jordi Cano. Contact: jordi.cg89@gmail.com
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>

function [ char_array ] = Double2text( double_array, varargin )
%Double2text Takes a double array and gives a char array with those values

if nargin == 2
    separator = varargin{1};
else
    separator  = ' ';
end

char_array = '';

[a,b] = size(double_array);

if a > 1 && b > 1
    disp('Only one-dimensional arrays!');
    return
end

if b > 1
    double_array = double_array';
    [a,~] = size(double_array);
end

if a > 1
    char_array = num2str(double_array(1));
    for i = 2:a
        char_array = [char_array separator num2str(double_array(i))];
    end
end


end

